%global _empty_manifest_terminate_build 0
Name:           python-pycountry
Version:        22.3.5
Release:        1
Summary:        ISO country, subdivision, language, currency and script definitions and their translations
License:        LGPL 2.1
URL:            https://github.com/flyingcircusio/pycountry
Source0:        https://files.pythonhosted.org/packages/33/24/033604d30f6cf82d661c0f9dfc2c71d52cafc2de516616f80d3b0600cb7c/pycountry-22.3.5.tar.gz
BuildArch:      noarch
%description
pycountry provides the ISO databases for the standards:
* 639-3 Languages
* 3166 Countries
* 3166-3 Deleted countries
* 3166-2 Subdivisions of countries
* 4217 Currencies
* 15924 Scripts

%package -n python3-pycountry
Summary:        ISO country, subdivision, language, currency and script definitions and their translations
Provides:       python-pycountry
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# Test running requires
BuildRequires:  python3-pytest
%description -n python3-pycountry
pycountry provides the ISO databases for the standards:
* 639-3 Languages
* 3166 Countries
* 3166-3 Deleted countries
* 3166-2 Subdivisions of countries
* 4217 Currencies
* 15924 Scripts

%package help
Summary:        ISO country, subdivision, language, currency and script definitions and their translations
Provides:       python3-pycountry-doc
%description help
pycountry .. image:g: provides the ISO databases for the standards:639-3 <
Languages 3166 < Countries 3166-3 < Deleted countries 3166-2 < Subdivisions of
countries 4217 < Currencies 15924 < ScriptsThe package includes a copy from
Debian's pkg-isocodes < and makes the data accessible through a Python API.

%prep
%autosetup -n pycountry-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
PYTHONPATH=src/ pytest --pyargs pycountry

%files -n python3-pycountry -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 14 2022 OpenStack_SIG <openstack@openeuler.org> - 22.3.5-1
- Init package python3-pycountry of version 22.3.5

